Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2dismod
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2dissite
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2enconf
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2enmod
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2ensite
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2query
9.64
KB
-rwxr-xr-x
2020-08-13 03:35
aa-exec
22.16
KB
-rwxr-xr-x
2023-06-29 13:30
aa-remove-unknown
2.86
KB
-rwxr-xr-x
2023-06-29 13:30
aa-status
7.11
KB
-rwxr-xr-x
2023-06-29 13:30
accessdb
10.23
KB
-rwxr-xr-x
2015-11-07 00:14
acpid
46.98
KB
-rwxr-xr-x
2016-04-09 00:36
add-shell
695
B
-rwxr-xr-x
2016-01-26 19:17
addgnupghome
3.01
KB
-rwxr-xr-x
2018-06-14 22:06
addgroup
36.4
KB
-rwxr-xr-x
2015-07-02 22:11
adduser
36.4
KB
-rwxr-xr-x
2015-07-02 22:11
apache2
647.03
KB
-rwxr-xr-x
2020-08-13 03:36
apache2ctl
6.25
KB
-rwxr-xr-x
2020-07-16 00:29
apachectl
6.25
KB
-rwxr-xr-x
2020-07-16 00:29
apparmor_status
7.11
KB
-rwxr-xr-x
2023-06-29 13:30
applygnupgdefaults
2.16
KB
-rwxr-xr-x
2018-06-14 22:06
arp
54.09
KB
-rwxr-xr-x
2014-06-30 15:19
arpd
46.74
KB
-rwxr-xr-x
2019-04-16 14:37
atd
26.01
KB
-rwxr-xr-x
2016-01-14 23:35
bcache-super-show
14.23
KB
-rwxr-xr-x
2015-06-27 01:10
biosdecode
18.82
KB
-rwxr-xr-x
2020-02-07 17:53
check_forensic
952
B
-rwxr-xr-x
2011-04-26 17:10
chgpasswd
53.33
KB
-rwxr-xr-x
2019-03-26 20:34
chpasswd
49.43
KB
-rwxr-xr-x
2019-03-26 20:34
chroot
38.8
KB
-rwxr-xr-x
2017-03-02 19:07
cifs.idmap
14.07
KB
-rwxr-xr-x
2017-03-06 14:02
cifs.upcall
30.07
KB
-rwxr-xr-x
2017-03-06 14:02
cpgr
51.48
KB
-rwxr-xr-x
2019-03-26 20:34
cppw
51.48
KB
-rwxr-xr-x
2019-03-26 20:34
cron
43.43
KB
-rwxr-xr-x
2016-04-05 23:59
cryptdisks_start
1.11
KB
-rwxr-xr-x
2017-09-06 12:08
cryptdisks_stop
1.16
KB
-rwxr-xr-x
2017-09-06 12:08
delgroup
16.13
KB
-rwxr-xr-x
2015-07-02 22:11
deluser
16.13
KB
-rwxr-xr-x
2015-07-02 22:11
dmidecode
102.49
KB
-rwxr-xr-x
2020-02-07 17:53
dnsmasq
363.35
KB
-rwxr-xr-x
2021-04-22 15:12
dpkg-divert
135.4
KB
-rwxr-xr-x
2021-04-20 22:48
dpkg-preconfigure
3.52
KB
-rwxr-xr-x
2019-05-08 20:33
dpkg-reconfigure
4.23
KB
-rwxr-xr-x
2019-05-08 20:33
dpkg-statoverride
59.08
KB
-rwxr-xr-x
2021-04-20 22:48
e2freefrag
10.24
KB
-rwxr-xr-x
2020-01-22 15:42
e4defrag
26.53
KB
-rwxr-xr-x
2020-01-22 15:42
ephemeral-disk-warning
982
B
-rwxr-xr-x
2019-05-23 23:15
fdformat
22.57
KB
-rwxr-xr-x
2020-01-27 15:28
filefrag
14.31
KB
-rwxr-xr-x
2020-01-22 15:42
genl
46.69
KB
-rwxr-xr-x
2019-04-16 14:37
groupadd
57.42
KB
-rwxr-xr-x
2019-03-26 20:34
groupdel
53.2
KB
-rwxr-xr-x
2019-03-26 20:34
groupmod
67.7
KB
-rwxr-xr-x
2019-03-26 20:34
grpck
53.31
KB
-rwxr-xr-x
2019-03-26 20:34
grpconv
49.19
KB
-rwxr-xr-x
2019-03-26 20:34
grpunconv
49.2
KB
-rwxr-xr-x
2019-03-26 20:34
grub-bios-setup
765.98
KB
-rwxr-xr-x
2021-04-30 18:02
grub-install
964.38
KB
-rwxr-xr-x
2021-04-30 18:02
grub-macbless
753.64
KB
-rwxr-xr-x
2021-04-30 18:02
grub-mkconfig
7.85
KB
-rwxr-xr-x
2021-04-30 18:00
grub-mkdevicemap
196.29
KB
-rwxr-xr-x
2021-04-30 18:02
grub-probe
765.92
KB
-rwxr-xr-x
2021-04-30 18:02
grub-reboot
4.02
KB
-rwxr-xr-x
2021-04-30 18:00
grub-set-default
3.48
KB
-rwxr-xr-x
2021-04-30 18:00
httxt2dbm
9.96
KB
-rwxr-xr-x
2020-08-13 03:36
hv_fcopy_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
hv_get_dhcp_info
1.39
KB
-rwxr-xr-x
2021-04-16 13:32
hv_get_dns_info
622
B
-rwxr-xr-x
2021-04-16 13:32
hv_kvp_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
hv_set_ifconfig
7.72
KB
-rwxr-xr-x
2021-04-16 13:32
hv_vss_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
iconvconfig
26.66
KB
-rwxr-xr-x
2021-04-21 20:14
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2012-12-05 15:11
invoke-rc.d
19.41
KB
-rwxr-xr-x
2016-11-29 18:28
ip6tables-apply
6.85
KB
-rwxr-xr-x
2016-02-19 16:20
iptables-apply
6.85
KB
-rwxr-xr-x
2016-02-19 16:20
irqbalance
47.3
KB
-rwxr-xr-x
2016-04-11 19:56
iscsi-iname
13.99
KB
-rwxr-xr-x
2018-12-11 21:12
iscsi_discovery
5.16
KB
-rwxr-xr-x
2013-09-12 09:01
iscsid
765.61
KB
-rwxr-xr-x
2018-12-11 21:12
iscsistart
321.29
KB
-rwxr-xr-x
2018-12-11 21:12
laptop-detect
2.53
KB
-rwxr-xr-x
2010-03-06 15:44
ldattach
26.63
KB
-rwxr-xr-x
2020-01-27 15:28
locale-gen
4.3
KB
-rwxr-xr-x
2016-04-14 20:33
logrotate
63.11
KB
-rwxr-xr-x
2017-08-10 17:16
lsvmbus
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
luksformat
3.2
KB
-rwxr-xr-x
2017-09-06 12:08
make-bcache
18.35
KB
-rwxr-xr-x
2015-06-27 01:10
make-ssl-cert
3.7
KB
-rwxr-xr-x
2015-08-16 19:14
mkinitramfs
10.24
KB
-rwxr-xr-x
2019-10-07 12:53
mklost+found
10.25
KB
-rwxr-xr-x
2020-01-22 15:42
mysqld
23.52
MB
-rwxr-xr-x
2021-01-28 17:23
newusers
73.84
KB
-rwxr-xr-x
2019-03-26 20:34
nfnl_osf
14.37
KB
-rwxr-xr-x
2016-02-19 16:21
nologin
5.95
KB
-rwxr-xr-x
2019-03-26 20:34
nscd
34.92
KB
-rwxr-xr-x
2016-03-20 11:25
ntp-keygen
66.91
KB
-rwxr-xr-x
2020-01-07 16:08
ntp-wait
3.13
KB
-rwxr-xr-x
2020-01-07 16:08
ntpd
717.27
KB
-rwxr-xr-x
2020-01-07 16:08
ntpdate
75.97
KB
-rwxr-xr-x
2020-01-07 16:08
ntpdate-debian
583
B
-rwxr-xr-x
2020-01-07 16:08
ntptime
14.31
KB
-rwxr-xr-x
2020-01-07 16:08
openvpn
674.28
KB
-rwxr-xr-x
2019-05-08 15:50
overlayroot-chroot
2.45
KB
-rwxr-xr-x
2018-10-01 19:50
ownership
10.13
KB
-rwxr-xr-x
2020-02-07 17:53
pam-auth-update
19.09
KB
-rwxr-xr-x
2020-10-01 02:33
pam_getenv
2.82
KB
-rwxr-xr-x
2020-10-01 02:33
pam_timestamp_check
10.38
KB
-rwxr-xr-x
2020-10-01 02:36
paperconfig
4.07
KB
-rwxr-xr-x
2015-11-04 12:21
phpdismod
7.11
KB
-rwxr-xr-x
2021-02-22 11:45
phpenmod
7.11
KB
-rwxr-xr-x
2021-02-22 11:45
phpquery
6.24
KB
-rwxr-xr-x
2021-02-22 11:45
popcon-largest-unused
543
B
-rwxr-xr-x
2016-02-26 20:55
popularity-contest
4.56
KB
-rwxr-xr-x
2016-02-26 20:55
postalias
17.87
KB
-rwxr-xr-x
2020-07-28 23:11
postcat
13.94
KB
-rwxr-xr-x
2020-07-28 23:11
postconf
171.16
KB
-rwxr-xr-x
2020-07-28 23:11
postdrop
13.99
KB
-r-xr-sr-x
2020-07-28 23:11
postfix
13.95
KB
-rwxr-xr-x
2020-07-28 23:11
postfix-add-filter
4.9
KB
-rwxr-xr-x
2020-07-28 23:11
postfix-add-policy
3.83
KB
-rwxr-xr-x
2020-07-28 23:11
postkick
9.87
KB
-rwxr-xr-x
2020-07-28 23:11
postlock
9.87
KB
-rwxr-xr-x
2020-07-28 23:11
postlog
10.02
KB
-rwxr-xr-x
2020-07-28 23:11
postmap
17.87
KB
-rwxr-xr-x
2020-07-28 23:11
postmulti
26.26
KB
-rwxr-xr-x
2020-07-28 23:11
postqueue
17.95
KB
-r-xr-sr-x
2020-07-28 23:11
postsuper
22.2
KB
-rwxr-xr-x
2020-07-28 23:11
posttls-finger
33.95
KB
-rwxr-xr-x
2020-07-28 23:11
pwck
45.36
KB
-rwxr-xr-x
2019-03-26 20:34
pwconv
41.27
KB
-rwxr-xr-x
2019-03-26 20:34
pwunconv
36.43
KB
-rwxr-xr-x
2019-03-26 20:34
qmqp-sink
13.87
KB
-rwxr-xr-x
2020-07-28 23:11
qmqp-source
17.88
KB
-rwxr-xr-x
2020-07-28 23:11
qshape
12.55
KB
-rwxr-xr-x
2020-07-28 23:11
readprofile
14.52
KB
-rwxr-xr-x
2020-01-27 15:28
remove-shell
749
B
-rwxr-xr-x
2016-01-26 19:17
rmail
13.87
KB
-rwxr-xr-x
2020-07-28 23:11
rmt
54.95
KB
-rwxr-xr-x
2021-01-11 18:30
rmt-tar
54.95
KB
-rwxr-xr-x
2021-01-11 18:30
rsyslogd
585.28
KB
-rwxr-xr-x
2019-03-25 14:14
rtcwake
38.8
KB
-rwxr-xr-x
2020-01-27 15:28
safe_finger
10.35
KB
-rwxr-xr-x
2014-01-13 00:11
samba_kcc
10.72
KB
-rwxr-xr-x
2021-04-14 18:00
sendmail
26.02
KB
-rwxr-xr-x
2020-07-28 23:11
service
9.82
KB
-rwxr-xr-x
2016-09-12 10:57
setvesablank
10.27
KB
-rwxr-xr-x
2016-09-22 19:33
smtp-sink
30.8
KB
-rwxr-xr-x
2020-07-28 23:11
smtp-source
21.89
KB
-rwxr-xr-x
2020-07-28 23:11
spfd
17.96
KB
-r-xr-xr-x
2017-10-05 13:57
split-logfile
2.36
KB
-rwxr-xr-x
2020-08-13 03:34
sshd
772.48
KB
-rwxr-xr-x
2020-05-27 01:17
tarcat
936
B
-rwxr-xr-x
2021-01-11 18:30
tcpd
10.21
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdchk
22.51
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdmatch
18.42
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdump
1007.6
KB
-rwxr-xr-x
2020-01-24 15:00
try-from
10.16
KB
-rwxr-xr-x
2014-01-13 00:11
tunelp
22.53
KB
-rwxr-xr-x
2020-01-27 15:28
tzconfig
106
B
-rwxr-xr-x
2016-01-21 18:04
ufw
4.4
KB
-rwxr-xr-x
2016-04-15 07:16
update-alternatives
46.61
KB
-rwxr-xr-x
2021-04-20 22:48
update-ca-certificates
5.16
KB
-rwxr-xr-x
2021-02-01 17:16
update-catalog
9.15
KB
-rwxr-xr-x
2012-12-05 15:11
update-grub
64
B
-rwxr-xr-x
2020-08-24 10:54
update-grub-gfxpayload
301
B
-rwxr-xr-x
2015-03-27 18:50
update-grub2
64
B
-rwxr-xr-x
2020-08-24 10:54
update-gsfontmap
450
B
-rwxr-xr-x
2021-01-06 20:23
update-info-dir
1.66
KB
-rwxr-xr-x
2016-03-12 10:46
update-initramfs
8.38
KB
-rwxr-xr-x
2019-10-07 12:53
update-locale
2.99
KB
-rwxr-xr-x
2016-01-27 15:17
update-mime
8.84
KB
-rwxr-xr-x
2015-10-30 16:39
update-passwd
30.41
KB
-rwxr-xr-x
2016-01-03 00:13
update-pciids
2.84
KB
-rwxr-xr-x
2019-02-11 14:13
update-rc.d
14.1
KB
-rwxr-xr-x
2016-02-29 13:24
update-usbids
1.05
KB
-rwxr-xr-x
2015-10-23 23:56
update-xmlcatalog
16.28
KB
-rwxr-xr-x
2012-11-07 22:44
upgrade-from-grub-legacy
1.49
KB
-rwxr-xr-x
2020-08-24 10:54
useradd
118.72
KB
-rwxr-xr-x
2019-03-26 20:34
userdel
81.92
KB
-rwxr-xr-x
2019-03-26 20:34
usermod
118.5
KB
-rwxr-xr-x
2019-03-26 20:34
uuidd
30.73
KB
-rwxr-xr-x
2020-01-27 15:28
validlocale
1.73
KB
-rwxr-xr-x
2016-01-27 15:17
vcstime
6.26
KB
-rwxr-xr-x
2016-09-22 19:33
vigr
55.7
KB
-rwxr-xr-x
2019-03-26 20:34
vipw
55.7
KB
-rwxr-xr-x
2019-03-26 20:34
visudo
187.89
KB
-rwxr-xr-x
2021-01-20 18:08
vpddecode
14.27
KB
-rwxr-xr-x
2020-02-07 17:53
waagent
1.48
KB
-rwxr-xr-x
2020-01-30 18:10
waagent2.0
246.41
KB
-rwxr-xr-x
2020-01-30 18:10
xfs_admin
1.35
KB
-rwxr-xr-x
2017-09-08 22:23
xfs_bmap
638
B
-rwxr-xr-x
2017-09-08 22:23
xfs_copy
335.02
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_db
548.46
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_estimate
10.26
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_freeze
767
B
-rwxr-xr-x
2017-09-08 22:23
xfs_fsr
30.68
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_growfs
323.02
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_info
472
B
-rwxr-xr-x
2017-09-08 22:23
xfs_io
119.72
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_logprint
351.3
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_mdrestore
310.94
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_metadump
747
B
-rwxr-xr-x
2017-09-08 22:23
xfs_mkfile
1007
B
-rwxr-xr-x
2017-09-08 22:23
xfs_ncheck
650
B
-rwxr-xr-x
2017-09-08 22:23
xfs_quota
82.69
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_rtcp
14.34
KB
-rwxr-xr-x
2017-09-08 22:24
zerofree
10.16
KB
-rwxr-xr-x
2014-05-06 13:01
zic
50.54
KB
-rwxr-xr-x
2021-04-21 20:14
Save
Rename
#!/bin/bash set -e LOCALEGEN=/etc/locale.gen LOCALES=/usr/share/i18n/locales USER_LOCALES=/usr/local/share/i18n/locales SUPPORTED=/var/lib/locales/supported.d ALIASES=/usr/share/locale/locale.alias if [ -n "$POSIXLY_CORRECT" ]; then unset POSIXLY_CORRECT fi [ -f $LOCALEGEN ] || exit 0; [ -s $LOCALEGEN ] || exit 0; KEEP= IS_LANG=no ARCHIVE=yes # Handle command-line options prev= while true do option="$1" if [ -n "$prev" ]; then eval "$prev=\$option" prev= continue fi case $option in -h|--help) cat <<EOT Usage: locale-gen [OPTIONS] Options: -h, --help display this message and exit --purge remove existing locales before processing --archive store compiled locale data inside a single archive --no-archive do not store compiled locale data inside a single archive (default) --aliases=FILE read locale aliases from FILE. (Default: /etc/locale.alias) --lang treat argument as generic language code EOT exit 0 ;; --purge) # This is the default when called without arguments ;; --no-purge) KEEP=1 ;; --archive) ARCHIVE=yes ;; --no-archive) ARCHIVE=no ;; --keep-existing) KEEP=1 ;; --aliases) prev=ALIASES ;; --aliases=*) ALIASES=$(expr "x$option" : 'x[^=]*=\(.*\)') ;; --lang) IS_LANG=yes ;; --*) echo "locale-gen: invalid option -- $option" echo "Try 'locale-gen --help' for more information." exit 1 ;; *) break ;; esac shift done no_archive= [ "$ARCHIVE" = yes ] || no_archive="--no-archive" locale_alias= [ -n "$ALIASES" ] && [ -r "$ALIASES" ] && locale_alias="-A $ALIASES" if [ -z "$1" ] && [ -z "$KEEP" ]; then # Remove all old locale dir and locale-archive before generating new # locale data. rm -rf /usr/lib/locale/locale-archive || true for dir in /usr/lib/locale/*; do [ -e "$dir" ] || continue if [ "${dir#/usr/lib/locale/}" = C.UTF-8 ]; then # owned by libc-bin continue fi rm -rf "$dir" 2>/dev/null || true done fi umask 022 is_entry_ok() { if [ -n "$locale" -a -n "$charset" ] ; then true else echo "error: Bad entry '$locale $charset'" false fi } add_to_locale_gen() { echo "$1" | while read locale; do if ! grep -q "^[# ]*$locale *\$" $LOCALEGEN; then echo "# $locale" >> $LOCALEGEN fi sed -i -e "0,/^[# ]*$locale *$/ s/^[# ]*$locale *$/$locale/" $LOCALEGEN done } if [ -z "$1" ]; then GENERATE="`cat $SUPPORTED/* $LOCALEGEN 2>/dev/null || true`" else GENERATE= while [ -n "$1" ]; do if [ -f "$SUPPORTED/$1" ]; then GENERATE="$GENERATE\n`cat $SUPPORTED/$1`" elif [ $IS_LANG = no ] && L=`grep "^${1/%.utf8/.UTF-8} " /usr/share/i18n/SUPPORTED`; then # convert utf8 to UTF-8 and check if the requested locale exists GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" elif [ $IS_LANG = no ] && L=`grep "^${1%.[uU][tT][fF]*} UTF-8" /usr/share/i18n/SUPPORTED`; then # recognize 'll_CC.UTF-8' or 'll_CC.utf8' as ll_CC without codeset GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" else # try to come up with a sensible default L=`grep -E "^${1}( |[._@][^[:space:]]* )UTF-8" /usr/share/i18n/SUPPORTED || true` if [ -z "$L" ]; then echo "Error: '$1' is not a supported language or locale" >&2 exit 1 fi GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" fi shift done fi echo "Generating locales (this might take a while)..." echo -e "$GENERATE" | sort -u | while read locale charset; do \ case $locale in \#*) continue;; "") continue;; esac; \ is_entry_ok || continue if [ "$KEEP" ] && PERL_BADLANG=0 perl -MPOSIX -e \ 'exit 1 unless setlocale(LC_ALL, $ARGV[0])' "$locale"; then continue fi echo -n " `echo $locale | sed 's/\([^.\@]*\).*/\1/'`"; \ echo -n ".$charset"; \ echo -n `echo $locale | sed 's/\([^\@]*\)\(\@.*\)*/\2/'`; \ echo -n '...'; \ if [ -f $USER_LOCALES/$locale ] ; then input=$USER_LOCALES/$locale elif [ -f $LOCALES/$locale ]; then input=$locale else input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'` if [ -f $USER_LOCALES/$input ]; then input=$USER_LOCALES/$input fi fi localedef $no_archive -i $input -c -f $charset $locale_alias $locale || :; \ echo ' done'; \ done echo "Generation complete."